import React from 'react'

import ReactButton from './reactButton.js'

import styles from './newsEntry.module.css'

export default function NewsEntry({ newsKey, newsItem, uid, onReact }) {
  return (
    <div>
      <div className={styles.newsContainer}>
        <div className={styles.itemNumber}>{newsKey} :</div>
        <div
          className={styles.newsTitle}
          dangerouslySetInnerHTML={{ __html: newsItem.title }}
        />
        <div
          className={styles.newsBody}
          dangerouslySetInnerHTML={{ __html: newsItem.body }}
        />
      </div>
      <ReactButton
        existingReacts={newsItem.reacts}
        uid={uid}
        onClick={onReact}
      />
      <hr />
    </div>
  )
}
